Skip to main content

XML vs. API vs. Widget Publishers

Understanding the Difference

In the Talroo publisher network, publishers can integrate via XML feeds, a real-time API, or widget integration. All options are available and supported.

API systems are strongly recommended and generally superior because API usage provides:

  • Real-time freshness and relevance at query time. XML feeds are not real-time.
  • Dynamic, personalized results for better conversion. XML feeds and Widgets are not personalizable.
  • Fine-grained control over how search results are used. Widget content is not flexible.

XML feeds are easier to manage, but harder to integrate. They often require more infrastructure built around it (ex. a search engine) whereas the API data can be used out-of-the-box.

Widget Publishers are unique in that they integrate into a larger website with an embedded HTML component or an affiliate link. These widgets may function like an ad or a mini search engine and reduce development time. There is no personalization possible due to lack of Search URL control.

Policy Reminder

Redistribution or reselling of Talroo jobs or data—whether obtained via XML feeds or the API—is not permitted. Uncontrolled syndication degrades quality and removes expiry/pause controls.

XML Feed Structure Example

curl https://feeds.talroo.com/download?id=9999&pass=helloworld
<?xml version="1.0" encoding="UTF-8"?>
<feed date="1999-12-31T00:00:01-04:00" total="999999">
<jobs>
<job>
<referencenumber>33153477500-7351-67D060BC</referencenumber>
<title>Truck Driver</title>
<date>1999-12-29T00:00:01-04:00</date>
<company>ABC Logistics</company>
<url>https://api.talroo.com/click?job_id=12345678&pub_id=...</url>
...
</job>
<!-- More jobs -->
</jobs>
</feed>

API Request/Response Example

GET api.jobs2careers.com/api/search.php?id=9999&pass=pass&ip=...&q=...&l=...&extractions=1

Response:

{
"jobs": [
{
"id": "12345678",
"title": "Truck Driver",
"date": "1999-12-31T00:00:01Z",
"company": "Trucking Time",
"all_requirements_normalized": "{\"Social security number (only in the US)\":\"0\"}",
"all_preferences_normalized": "{\"Must be 19+ in Arizona, California, Colorado...\":\"0\"}",
"work_schedule": "Work as much—or as little—as you want|Part-time, seasonal, flexible...",
"price": "high"
}
],
"total": 150
}

Widget Examples

Widget Examples - Search Engine and Ad Unit

Widget UIs are customizable to match the theme and flow of your site.

Widget Examples - Search Engine and Ad Unit

Affiliate Link widgets are simple links that drive users to the Jobs2Careers site, with tracking to ensure that resulting revenue is traced back to the publisher source.

Comparison Table

AspectXMLWidgetAPI
Data FreshnessStale (hours/days)Real-timeReal-time
ImplementationRequires infrastructureCan be used out-of-the-boxCan be used out-of-the-box
Job ContentMore job exclusions that restrict contentLess job exclusions that restrict contentLess job exclusions that restrict content
PersonalizationNoneNonePersonalizable via pid parameter
MaintenanceHighMediumMedium
Server LoadPeriodic spikesDistributedDistributed
Bandwidth UsageHigh (bulk transfer)Optimized (on-demand)Optimized (on-demand)
Job ExtractionsNoneNoneAvailable with &extractions=1 parameter

Why Real-Time Data Matters

In today's fast-paced job market, both job availability and jobseeker data change rapidly. Real-time data ensures that:

  • Job listings are current: Avoids showing expired or paused jobs
  • Jobseeker preferences are up to date: Provides personalized, relevant results
  • Competitive advantage: React instantly to market changes and provide superior user experience

Conclusion

For publishers looking to maximize their success in the Talroo network, API integration is the superior choice. It offers real-time job listings and personalization with jobseeker data, providing significant competitive advantages over XML feeds and Widgets. Widgets are a non-personalizable, unique alternative with lower development cost, and XML feeds can be a suitable solution for less dynamic content.